Skip to main content
GET
/
api
/
mlflow
/
registered-models
List registered MLflow models
curl --request GET \
  --url https://api.example.com/api/mlflow/registered-models \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "name": "<string>",
      "creation_timestamp": 123,
      "last_updated_timestamp": 123,
      "user_id": "<string>",
      "description": "<string>",
      "latest_versions": [
        {
          "name": "<string>",
          "version": "<string>",
          "creation_timestamp": 123,
          "last_updated_timestamp": 123,
          "current_stage": "<string>",
          "description": "<string>",
          "source": "<string>",
          "run_id": "<string>",
          "status": "<string>",
          "user_id": "<string>",
          "tags": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "tags": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "tracking_uri": "<string>",
  "next_page_token": "<string>",
  "external_uri": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

max_results
integer
default:100
Required range: 1 <= x <= 500
page_token
string | null
filter
string | null

MLflow filter expression (e.g. "name LIKE 'credit%'").

Response

Successful Response

items
MlflowRegisteredModel · object[]
required
tracking_uri
string
required

MLflow tracking URI the API used to fetch the list.

next_page_token
string | null
external_uri
string | null

User-facing URL of MLflow (suitable for a link in the UI).